> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Follow Relationship

> Check if the user is following/followed by the target user. Trial operation price: 100 credits per call.



## OpenAPI

````yaml get /twitter/user/check_follow_relationship
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/user/check_follow_relationship:
    get:
      description: >-
        Check if the user is following/followed by the target user. Trial
        operation price: 100 credits per call.
      parameters:
        - name: source_user_name
          in: query
          description: screen name of the source user
          required: true
          schema:
            type: string
            format: string
        - name: target_user_name
          in: query
          description: screen name of the target user
          schema:
            type: string
            format: string
      responses:
        '200':
          description: Check follow relationship response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      following:
                        type: boolean
                        description: Whether the source user is following the target user
                      followed_by:
                        type: boolean
                        description: Whether the source user is followed by the target user
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - error
                  message:
                    type: string
                    description: Message of the request.error message
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````